> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all contacts with pagination and filters

> Operacion: Get all contacts with pagination and filters.



## OpenAPI

````yaml /generated/specs/clients.json get /api/v1/contact/all
openapi: 3.0.0
info:
  title: Raul API - Clientes
  description: Clientes, clientes padre, direcciones, contactos y activos asociados.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags:
  - name: Clients
    description: Gestion de clientes
paths:
  /api/v1/contact/all:
    get:
      tags:
        - Contact
      summary: Get all contacts with pagination and filters
      description: 'Operacion: Get all contacts with pagination and filters.'
      operationId: ContactController_getAllContacts
      parameters:
        - name: offset
          required: false
          in: query
          schema:
            type: number
        - name: limit
          required: false
          in: query
          schema:
            type: number
        - name: filter
          required: false
          in: query
          description: Search by name, email or phone
          schema:
            type: string
        - name: filterCity
          required: false
          in: query
          description: Filter by city ID
          schema:
            type: string
      responses:
        '200':
          description: List of contacts
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````